Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# PollOption

class praw.models.reddit.poll.PollOption(reddit: praw.Reddit, _data: Optional[Dict[str, Any]])

  Class to represent one option of a poll.

  If `submission` is a poll `Submission`, access the poll’s options like so:

      poll_data = submission.poll_data

      # By index -- print the first option
      print(poll_data.options[0])

      # By ID -- print the option with ID "576797"
      print(poll_data.option("576797"))

  Typical Attributes

  Note

  This table describes attributes that typically belong to objects of this class. PRAW dynamically provides the attributes that Reddit returns via the API. Since those attributes are subject to change on Reddit’s end, PRAW makes no effort to document any new/removed/changed attributes, other than to instruct you on how to discover what is available. As a result, this table of attributes may not be complete. See Determine Available Attributes of an Object for detailed information.

  If you would like to add an attribute to this table, feel free to open a pull request.

  Attribute | Description
  --- | ---
  `id` | ID of the poll option.
  `text` | The text of the poll option.
  `vote_count` | The number of votes the poll option has received.

  __init__(reddit: praw.Reddit, _data: Optional[Dict[str, Any]])

    Initialize a `PRAWBase` instance.

    Parameters:

      reddit – An instance of `Reddit`.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.